## Error Logging

Error Logging

## Synopsis

                        ELogger;
    void                (*ELogFunction)                     (gchar *line,
                                                             gpointer data);
    enum                ELogLevel;
    ELogger *           e_logger_new                        (const gchar *name);
    const gchar *       e_logger_get_name                   (ELogger *logger);
    void                e_logger_log                        (ELogger *logger,
                                                             ELogLevel level,
                                                             gchar *primary,
                                                             gchar *secondary);
    void                e_logger_get_logs                   (ELogger *logger,
                                                             ELogFunction func,
                                                             gpointer user_data);

## Object Hierarchy

      GObject
       +----ELogger

## Properties

      "name"                     gchar*                : Read / Write / Construct Only

## Description

## Details

### ELogger

    typedef struct _ELogger ELogger;

### ELogFunction ()

    void                (*ELogFunction)                     (gchar *line,
                                                             gpointer data);

`line` : |
`data` : |

### enum ELogLevel

    typedef enum {
    	E_LOG_ERROR,
    	E_LOG_WARNING,
    	E_LOG_DEBUG
    } ELogLevel;

### e_logger_new ()

    ELogger *           e_logger_new                        (const gchar *name);

`name` : |
Returns : |

### e_logger_get_name ()

    const gchar *       e_logger_get_name                   (ELogger *logger);

`logger` : |
Returns : |

### e_logger_log ()

    void                e_logger_log                        (ELogger *logger,
                                                             ELogLevel level,
                                                             gchar *primary,
                                                             gchar *secondary);

`logger` : |
`level` : |
`primary` : |
`secondary` : |

### e_logger_get_logs ()

    void                e_logger_get_logs                   (ELogger *logger,
                                                             ELogFunction func,
                                                             gpointer user_data);

`logger` : |
`func` : |
`user_data` : |

## Property Details

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct Only

Name of the logger.

Default value: "anonymous"